$(function () {

	// $("#aboutUs").on('click')
	vm = new Vue({
		el: '#app',
		data() {
			return {

				topList: [],
				statement:{},

				pictureList: [],
				middleList: [],
				pictureTwoList: [],
				middleTwoList: [],
				charactersList: [],
				bottom: [],
				statement: '',
				baseUrl: 'http://lanbo.frp.liuniu946.com/apis/product',
				allList: [],
				introduction: {},
				policy: {},
				operating: {},
				application: {},
				sinceTime: 2004,
				Y: 0
			}
		},
		created() {
			this.getAll()
			this.getTime()
			
		},
		computed: {
			longTime() {
				return this.Y - this.sinceTime
			}
		},
		methods: {
			getAll() {
				let data = {
					limit: 1000
				}
				AJAX('get',this.baseUrl, data, (res) => {
					this.allList = res.data.list
					console.log(this.allList)
					this.allList.forEach(item => {
						if(item.id === 124) {
							this.introduction = item
							// this.introduction.content = this.introduction.content.replace(/<p>/g,'<span class="span-q"></span><p>')
							console.log(this.introduction.content)
						}else if(item.id === 125) {
							this.policy = item
						}else if(item.id === 126) {
							this.operating = item
						}else if(item.id === 127) {
							this.application = item
						}else if(item.id === 101) {
							this.statement = item
						}
					});
					console.log(this.introduction)
					this.bottom = this.allList.filter( item => item.category_ids === '64')
					console.log(this.bottom)

				} )
			},
			getTime() {
				let date = new Date()
				this.Y = date.getFullYear()
				console.log(this.Y)
			}
		}
	})
})